# Detect the distribution in use
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | /usr/bin/tr -d '[:space:]' | /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]')
%define __distsubvers %(%{__sed} -e 's/.* release [^.]*[.]*\\([^ ]*\\) .*/\\1/' /etc/redhat-release)
%define __distname %(%{__sed} -e 's/.*[(]\\(.*\\)[)].*/\\1/' /etc/redhat-release)
# For development releases (x.y, y > 80), bump version to next one for dist tag
%if %([ 0%{__distsubvers} -gt 80 -o "%{__distname}" = "Rawhide" ] && echo 1 || echo 0)
%define __distvers %(/usr/bin/expr $(%{__sed} -e 's/.* release \\([^.]*\\)[^ ]* [(].*[)].*/\\1/' /etc/redhat-release) + 1)
%else
%define __distvers %(%{__sed} -e 's/.* release \\([^.]*\\)[^ ]* [(].*[)].*/\\1/' /etc/redhat-release)
%endif
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%define __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%define __distinit fc
%endif

%define perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%{!?__id_u: %define __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

# For RHL9 and RHEL3 we know that the perl package epoch should be 2
%if "%{__distinit}%{__distvers}" == "rhl9" || "%{__distinit}%{__distvers}" == "rhel3"
%define perlepoch 2:
%else
%define perlepoch %{nil}
%endif

Name:		perl-Module-Compat
Version:	%{perl_version}
Release:	3.%{__distinit}%{__distvers}
Summary:	Perl Module Dependency Helper
Group:		Development/Libraries
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl
Provides:	perl(:MODULE_COMPAT_%{perl_version})
Requires:	perl = %{perlepoch}%{perl_version}

%description
Recent versions of perl module RPM packages use a new style of perl
dependency information, based on a virtual dependency such as:

perl(:MODULE_COMPAT_%{perl_version})

The versions of perl shipped with Red Hat Linux and Red Hat Enterprise
Linux <= 3 did not support this virtual dependency, and so it is hard to
build and install perl module RPM packages that use this style of
dependency information. This helper package provides the virtual dependency
to assist in this situation.

%prep

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)

%changelog
* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 5.8.0-3
- Fix dist tag for development builds and Fedora 7 onwards
- Change Group tag to Development/Libraries
- Add empty %%build and empty-ish %%install sections

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 5.8.0-2
- Don't do rpm database queries during package build
- Simplify distribution-detection
- Require specfic epoch for perl dependency on RHL9 and RHEL3
- Define %%{__id_u} if necessary

* Tue May 17 2005 Paul Howarth <paul@city-fan.org>
- initial RPM build
